This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 440691 - Error Value: list index out of range yumBackend.py, line 853, in install_file
Error Value: list index out of range yumBackend.py, line 853, in install_file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 10:40 EDT by Harald Hoyer
Modified: 2008-04-11 11:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 11:15:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2008-04-04 10:40:25 EDT
$ rpm -qf /usr/share/PackageKit/helpers/yum/yumBackend.py
PackageKit-0.1.10-1.fc9.x86_64

$  /usr/bin/pk-install-file -v
/home/harald/cvs/fedora/udev/devel/x86_64/udev-120-1.fc9.x86_64.rpm 
TI:16:36:14	TH:0x60f570	FI:pk-debug.c	FN:pk_debug_init,248
 - Verbose debugging 1 (on console 1)
TI:16:36:14	TH:0x60f570	FI:pk-connection.c
FN:pk_connection_connection_changed_cb,129
 - emit connection-changed: 1
TI:16:36:14	TH:0x60f570	FI:pk-client.c	FN:pk_client_connect,3432
 - connect
TI:16:36:15	TH:0x60f570	FI:pk-client.c	FN:pk_client_allocate_transaction_id,1305
 - Got tid: '15;adabcadd;data'
TI:16:36:15	TH:0x60f570	FI:pk-client.c	FN:pk_client_change_status,637
 - emit status-changed wait
TI:16:36:15	TH:0x60f570	FI:pk-client.c	FN:pk_client_change_status,637
 - emit status-changed setup
TI:16:36:15	TH:0x60f570	FI:pk-client.c	FN:pk_client_locked_cb,929
 - emit locked 1
TI:16:36:15	TH:0x60f570	FI:pk-client.c	FN:pk_client_allow_cancel_cb,948
 - emit allow-cancel 0
TI:16:36:15	TH:0x60f570	FI:pk-client.c	FN:pk_client_progress_changed_cb,626
 - emit progress-changed 0, 101, 228, 0
TI:16:36:15	TH:0x60f570	FI:pk-client.c	FN:pk_client_change_status,637
 - emit status-changed running
TI:16:36:15	TH:0x60f570	FI:pk-client.c	FN:pk_client_error_code_cb,919
 - emit error-code 3, Error Type: <type 'exceptions.IndexError'>
Error Value: list index out of range
  File : /usr/share/PackageKit/helpers/yum/install-file.py , line 19, in <module>
    backend.install_file(file_to_inst)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 853, in install_file
    self._checkForNewer(txmbr[0].po)

TI:16:36:15	TH:0x60f570	FI:pk-client.c	FN:pk_client_change_status,637
 - emit status-changed finished
TI:16:36:15	TH:0x60f570	FI:pk-client.c	FN:pk_client_finished_cb,591
 - emit finished failed, 308
Comment 1 Richard Hughes 2008-04-04 11:33:50 EDT
Do the rpm's here fix things:http://people.freedesktop.org/~hughsient/fedora/9/i386/

Thanks.
Comment 2 Matthias Clasen 2008-04-11 00:22:45 EDT
Harald, can you retest this ?
Comment 3 Harald Hoyer 2008-04-11 10:15:07 EDT
[harald@harryh devel]$ rpm -qf $(which system-install-packages )
gnome-packagekit-0.1.11-3.fc9.x86_64
[harald@harryh devel]$ rpm -q PackageKit
PackageKit-0.1.11-1.fc9.x86_64

hmm.. can't find /usr/bin/pk-install-file anymore.. but with
system-install-packages it works.
Comment 4 Richard Hughes 2008-04-11 11:15:16 EDT
Excellent, thanks.

Note You need to log in before you can comment on or make changes to this bug.